Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD MEP (ABS)
  PartNumber

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   PartNumber (670 mal gelesen)
CADwiesel
Ehrenmitglied
CAD4FM UG



Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 20. Nov. 2018 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin,
Da gibt es in MEP diese MEPPartNumbering mit der Bezeichnung PartNumber
Weiß zuzfällig einer von Euch wie ich an diese Nummer per Lisp oder COM rankomme?
Ich vermute die in einem Dictionary. Kann mir dazu einer irgendwelche Anhaltspunkte geben?

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Ehrenmitglied
CAD4FM UG



Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 26. Nov. 2018 13:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

MEP verhält sich wie vermutlich alle anderen dieser Vertikalprodukte ziemlich unterschiedlich zum Verwalten dieser oder aller anderen Informationen im Gegensatz zu einem Autocad was die Speicherung dieser Informationen angeht.
Wenn ich also ein MEP oder ADTo.ä. AutoCAD habe, kann ich über das Interfaceobject auf die Datensätze zugreifen.
Code:
(setq schedApp (vla-getInterfaceObject
                      (vlax-get-acad-object)
                      "AecX.AecScheduleApplication.7.9" ;;; AutoCAD MEP 2017
                    )
        )

Code:
(setq vlaObj (vlax-ename->vla-object (car (entsel))))
                  (setq propSets (vlax-invoke-method
                                  schedApp
                                  'PropertySets
                                  vlaObj
                                ) ;_ end of vlax-invoke-method
                  )
                  (setq propSet (vlax-invoke-method
                                  propSets
                                  'Item
                                  "MEPPartNumbering"
                                ) ;_ end of vlax-invoke-method
                  )

Über die Property Sets kann ich mir dann alle Informationen zu dem jeweils angewählten Bauteil raussuchen.

Ganz anders verhält es sich, wenn ich die gleiche Zeichnung in AutoCAD Vanilla öffne. Nun sind die Objekte erstmal Proxys, was erstmal nix macht, da die Daten ja dennoch da sein sollten.
Die Meißten Daten sind auch noch vorhanden, allerdings völlig anders abgelegt, als unter MAP. Jetzt müssen die Dictionarys durchgegangen werden um an diese Infos ranzukommen. Also das Dict des gewädlten Proxys auslesen (GC 360) dann alle darin enthaltenen Dicts durchsuchen (wieder GC 360) und dort nach den GC 309 suchen wu dann die Textinformationen abgelegt sind, die ich brauchn könnte.

Alles klar?

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz